/**
 * This file contains configurations to run example SDK code on the OTO hardware.
 */

#ifndef CUSTOM_BOARD_H
#define CUSTOM_BOARD_H

// LEDs and buttons definition for PCA20006 board (beacon) 
#define LEDS_NUMBER    3

#define LED_RGB_RED    16
#define LED_RGB_GREEN  12
#define LED_RGB_BLUE   15

#define BSP_LED_0 LED_RGB_RED
#define BSP_LED_1 LED_RGB_GREEN
#define BSP_LED_2 LED_RGB_BLUE

#define LEDS_LIST { LED_RGB_RED, LED_RGB_GREEN, LED_RGB_BLUE}

#define BSP_LED_0_MASK    (1<<BSP_LED_0)
#define BSP_LED_1_MASK    (1<<BSP_LED_1)
#define BSP_LED_2_MASK    (1<<BSP_LED_2)
#define LEDS_MASK      (BSP_LED_0_MASK | BSP_LED_1_MASK | BSP_LED_2_MASK)
#define LEDS_INV_MASK  0x11111111

#define BUTTON_0       31
#define BUTTON_PULL    NRF_GPIO_PIN_PULLUP

#define BSP_BUTTON_0   BUTTON_0

#define BUTTONS_NUMBER 1

#define BSP_BUTTON_0_MASK (1<<BUTTON_0)
#define BUTTONS_MASK   (BSP_BUTTON_0_MASK)

#define BUTTONS_LIST { BUTTON_0 }

#define RX_PIN_NUMBER  23
#define TX_PIN_NUMBER  10
#define CTS_PIN_NUMBER 21
#define RTS_PIN_NUMBER 11
#define HWFC           false

// Low frequency clock source to be used by the SoftDevice
#define NRF_CLOCK_LFCLKSRC      NRF_CLOCK_LFCLKSRC_XTAL_20_PPM

#endif // CUSTOM_BOARD_h
